/*
 * This source file is Copyright 1995 by Evan Scott.
 * All rights reserved.
 * Permission is granted to distribute this file provided no
 * fees beyond distribution costs are levied.
 */

#ifdef DECLARE_GLOBALS_HERE
#define global
#else
#define global extern
#endif

global struct ExecBase *SysBase;
global struct DosLibrary *DOSBase;
global struct IntuitionBase *IntuitionBase;
global struct GfxBase *GfxBase;
global struct Library *GadToolsBase;
global struct Library *IconBase;
global struct Library *LocaleBase;

global struct MsgPort *ftp_port, *tcp, *startup_sync, *broker_port;
global struct DosList *ftp_device, *ftp_volume;

global BPTR ftpdir_lock, ftphosts_lock;

global struct tcpm *prime;	/* the numero uno tcp message */

global b8 unique_buffer[25];

global b16 ftp_port_number;
global struct site_s *sites;

global b8 *anon_login;

global struct Message *local_msg;
global struct MsgPort *local_port;

global struct gim *cancel_gim, *abort_gim, *disconnect_gim, *login_gim;

global struct status_message *status_mess;
global struct MsgPort *status_control, *status_port;

global b32 darkpen, lightpen, textpen, fillpen;

global struct my_lock *orphaned_locks;

global b16 year;

global struct Locale *my_locale;
global struct Catalog *cat;

global b8 *volume_name;

#define VERSION "0"
#define REVISION "7"

#ifdef DECLARE_GLOBALS_HERE
b8 *ver="$VER: FTPMount " VERSION "." REVISION " (" __DATE__ ")";
#endif

